de.esprit.netsuite.netdata.transfer

## Enum TransferJobOption

- java.lang.Object
- - java.lang.Enum<TransferJobOption>
  - - de.esprit.netsuite.netdata.transfer.TransferJobOption

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TransferJobOption>

      public enum TransferJobOption
      extends java.lang.Enum<TransferJobOption>

  This enum defines option constants for controlling file-transfers
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IS_CREATE_TARGET_DIR`
    `IS_KEEP_ZIPPED_ON_SERVER`
    `IS_NOT_CREATE_TARGET_DIR`
    `IS_NOT_KEEP_ZIPPED_ON_SERVER`
    `IS_NOT_SOURCE_FILE_REQUIRED`
    `IS_NOT_TRANSFER_ZIPPED`
    `IS_SOURCE_FILE_REQUIRED`
    `IS_TRANSFER_ZIPPED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransferJobOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TransferJobOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IS_TRANSFER_ZIPPED

          public static final TransferJobOption IS_TRANSFER_ZIPPED

    - #### IS_NOT_TRANSFER_ZIPPED

          public static final TransferJobOption IS_NOT_TRANSFER_ZIPPED

    - #### IS_CREATE_TARGET_DIR

          public static final TransferJobOption IS_CREATE_TARGET_DIR

    - #### IS_NOT_CREATE_TARGET_DIR

          public static final TransferJobOption IS_NOT_CREATE_TARGET_DIR

    - #### IS_SOURCE_FILE_REQUIRED

          public static final TransferJobOption IS_SOURCE_FILE_REQUIRED

    - #### IS_NOT_SOURCE_FILE_REQUIRED

          public static final TransferJobOption IS_NOT_SOURCE_FILE_REQUIRED

    - #### IS_KEEP_ZIPPED_ON_SERVER

          public static final TransferJobOption IS_KEEP_ZIPPED_ON_SERVER

    - #### IS_NOT_KEEP_ZIPPED_ON_SERVER

          public static final TransferJobOption IS_NOT_KEEP_ZIPPED_ON_SERVER

  - ### Method Detail

    - #### values

          public static TransferJobOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransferJobOption c : TransferJobOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransferJobOption valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2014 EsprIT-Systems. All Rights Reserved.